LocalSolrQueryRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.request.LocalSolrQueryRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Class LocalSolrQueryRequest

    java.lang.Object
      org.apache.solr.request.SolrQueryRequestBase
          org.apache.solr.request.LocalSolrQueryRequest

All Implemented Interfaces:
  SolrQueryRequest

    public class LocalSolrQueryRequest

extends SolrQueryRequestBase

Version:
  $Id: LocalSolrQueryRequest.java 561900 2007-08-01 18:36:45Z ryan $

Field Summary
`static Map` | `emptyArgs`

Fields inherited from class org.apache.solr.request.SolrQueryRequestBase
`context, core, origParams, params, QUERY_NAME, QUERYTYPE_NAME, ROWS_NAME, searcherHolder, START_NAME, startTime, streams, XSL_NAME`

Constructor Summary
`LocalSolrQueryRequest(SolrCore core, Map<String,String[]> args)`
`LocalSolrQueryRequest(SolrCore core, NamedList args)`
`LocalSolrQueryRequest(SolrCore core, SolrParams args)`
`LocalSolrQueryRequest(SolrCore core, String query, String qtype, int start, int limit, Map args)`

Method Summary
`protected static SolrParams` | `makeParams(String query, String qtype, int start, int limit, Map args)`

Methods inherited from class org.apache.solr.request.SolrQueryRequestBase
`close, getContentStreams, getContext, getCore, getIntParam, getIntParam, getLimit, getOriginalParams, getParam, getParams, getParams, getParamString, getQueryString, getQueryType, getSchema, getSearcher, getStart, getStartTime, getStrParam, getStrParam, setContentStreams, setParams, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### emptyArgs

    public static final Map emptyArgs

Constructor Detail

### LocalSolrQueryRequest

    public LocalSolrQueryRequest(SolrCore core,
                                 String query,
                                 String qtype,
                                 int start,
                                 int limit,
                                 Map args)

### LocalSolrQueryRequest

    public LocalSolrQueryRequest(SolrCore core,
                                 NamedList args)

### LocalSolrQueryRequest

    public LocalSolrQueryRequest(SolrCore core,
                                 Map<String,String[]> args)

### LocalSolrQueryRequest

    public LocalSolrQueryRequest(SolrCore core,
                                 SolrParams args)

Method Detail

### makeParams

    protected static SolrParams makeParams(String query,
                                           String qtype,
                                           int start,
                                           int limit,
                                           Map args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD